Skip to main content
Resource Center/Hardware/SAN Storage Operations
PUTSAN Storage OperationsSince 4.2.0SynchronousAuth Required

DetachScsiLunFromHost

DetachScsiLunFromHost

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventory.

Endpoint

PUT/zstack/v1/storage-devices/scsi-lun/{uuid}/actions

/zstack/v1/storage-devices/scsi-lun/{uuid}/actions

Operation ID

DetachScsiLunFromHost

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/storage-devices/scsi-lun/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventory": { "name": "test-scsi-lun", "uuid": "e09fbca6d27332a1946326f3ae114fc3", "wwid": "36b083fe000daf018000022905ba35d8f", "vendor": "DELL", "model": "MD32xx", "wwn": "0x6f01faf000d5c3e7", "serial": "6b083fe000daf018000015505abbe00a", "type": "mpath", "path": "pci-0000:05:00.0-fc-0x2012b083fedaf018-lun-11", "size": 5.49755813888E12, "scsiLunHostRefs": [], "scsiLunVmInstanceRefs": [], "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history